@import "../../theme/palette";

.social-media-button {
  margin: 3px;
  width: 34px;
  height: 34px;
  border-radius: 50%;
  transition: border 0.5s ease;
  display: flex;
  justify-content: center;

  &:hover {
    transition: border 0.5s ease;
  }

  svg {
    width: 40%;
    height: auto;
    fill: red;
    transition: color 0.5s ease;

    &:hover {
      fill: lighten(red, 15%);
      transition: color 0.5s ease;
    }
  }
}

@mixin smb-colorisator($color) {
  border: 2px solid $color;
  transition: color 0.5s ease;

  &:hover {
    border: 2px solid lighten($color, 15%);
  }

  &:hover svg {
    fill: lighten($color, 15%);
    transition: color 0.5s ease;
  }

  svg {
    fill: $color;
    transition: color 0.5s ease;
  }
}

.smb-dribble-style {
  @include smb-colorisator($color_dribble);
}

.smb-facebook-style {
  @include smb-colorisator($color_facebook);
}

.smb-twitter-style {
  @include smb-colorisator($color_twitter);
}

.smb-pinterest-style {
  @include smb-colorisator($color_pinterest);
}

.smb-rss-style {
  @include smb-colorisator($color_RSS);
}